<?php
session_start();
require_once("config/configDB.php"); 
require "financial_year_calculation.php";

function validation_input($data) {
    $data = trim($data);
    $data = stripslashes($data);
    $data = htmlspecialchars($data);
    return $data;
}
if ($_SERVER["REQUEST_METHOD"] == "POST") {

    $edit_id   = stripslashes($_POST['edit_id']);
    $invoice   = stripslashes($_POST['invoice']);
	
	$tdate_temp         = new DateTime(stripslashes($_POST['internalprodate']));
    $internalprodate 	= $tdate_temp->format('Y-m-d');
    
   $supplierid=stripslashes($_POST['supplierid']);
	
    $vehicleid          = stripslashes($_POST['vehicleid']);
	
	 $driverid          = stripslashes($_POST['driverid']);
    $inchargename           = stripslashes($_POST['inchargename']);
    $previouskms           = stripslashes($_POST['previouskms']);
    $previoushrs           = stripslashes($_POST['previoushrs']);
	$preiousqty           = stripslashes($_POST['preiousqty']);
   
	
	
    $intakekm           = stripslashes($_POST['intakekm']);
    $intakehrs           = stripslashes($_POST['intakehrs']);
    $qty                = stripslashes($_POST['eqty']);
	$rate                = stripslashes($_POST['rate']);
	$amount                = stripslashes($_POST['amount']);
	
	$mileage                = stripslashes($_POST['mileage']);
	$hmileage                = stripslashes($_POST['hmileage']);
	$remarks                = stripslashes($_POST['remarks']);
	
	 $payment         = stripslashes($_POST['payment']);
	   $received_amt         = stripslashes($_POST['received_amt']);
	    $paymenttype         = stripslashes($_POST['paymenttype']);
	
	$sql=mysqli_query($conn,"select * from employee_master where id='".$driverid."'");
	
	while($row=mysqli_fetch_array($sql))
	{
		$drivername=$row['ename'];
	}
	
	$sql1=mysqli_query($conn,"select * from supplier_master where id='".$supplierid."'");
	
	while($row1=mysqli_fetch_array($sql1))
	{
		$sname=$row1['sname'];
	}
	
	
	$sqlv=mysqli_query($conn,"select * from vehicle_master where id='".$vehicleid."'");
	
	while($rowv=mysqli_fetch_array($sqlv))
	{
		$vehicleno=$rowv['vehicleno'];
	}
    
     $accountyear    = $financialYearStart."-".$financialYearEnd;
    $createdate  	= date("Y-m-d");
    $createdby      = $_SESSION['username'];
    $userID         = $_SESSION['user_id'];
	
	$deldtl=mysqli_query($conn,"update  supplier_payment set status='DELETED'  where purchaseid='$edit_id' and status='' and process='External Fill'");

    $sql_update = "UPDATE externalfill_diesel SET ";
    $sql_update .= "dieseldate='$internalprodate',";
	
	$sql_update .= "supplierid='$supplierid',";
	$sql_update .= "sname='$sname',";
	
    $sql_update .= "vehicleid='$vehicleid',";
    $sql_update .= "vehicleno='$vehicleno',";
    $sql_update .= "driverid='$driverid',";
    $sql_update .= "drivername='$drivername',";
	$sql_update .= "inchargeid='$inchargeid',";
    $sql_update .= "inchargename='$inchargename',";
    $sql_update .= "previouskms='$previouskms',";
    $sql_update .= "previoushrs='$previoushrs',";
    $sql_update .= "preiousqty='$preiousqty',";
	
	$sql_update .= "intakekm='$intakekm',";
    $sql_update .= "intakehrs='$intakehrs',";
    $sql_update .= "litres='$qty',";
	 $sql_update .= "rate='$rate',";
	  $sql_update .= "amount='$amount',";
	  
	  $sql_update .= "payment='$payment',";
	$sql_update .= "received_amt='$received_amt',";
	$sql_update .= "paymenttype='$paymenttype',";
	
    $sql_update .= "mileage='$mileage',";
	$sql_update .= "hmileage='$hmileage',";
    $sql_update .= "remarks='$remarks',";
    $sql_update .= "lastupdated='$createdate'";
    $sql_update .= "WHERE invoice='$invoice' ";

    mysqli_query($conn,$sql_update);
	
	$sql_header1  = "update fill_diesel set dieseldate='".$internalprodate."',vehicleid='".$vehicleid."', vehicleno='".$vehicleno."',driverid='".$driverid."',drivername='".$drivername."',intakekm='".$intakekm."',intakehrs='".$intakehrs."',litres='".$qty."',accountyear='".$accountyear."',createdate='".$createdate."',createdby='".$createdby."',userID='".$userID."' WHERE invoice='".$invoice."' and filling_type='externalfill'";
    
    mysqli_query($conn,$sql_header1);
	
		$sql_header2  = "update total_litres set dieseldate='".$internalprodate."',vehicleid='".$vehicleid."', vehicleno='".$vehicleno."',driverid='".$driverid."',drivername='".$drivername."',intakekm='".$intakekm."',intakehrs='".$intakehrs."',litres='".$qty."',accountyear='".$accountyear."',createdate='".$createdate."',createdby='".$createdby."',userID='".$userID."' WHERE invoice='".$invoice."' and filling_type='externalfill'  ";
    
    mysqli_query($conn,$sql_header2);
	
	if($payment=="Cash And Carry")
{
	
	$sql_InvoiceQuery   = mysqli_query($conn,"SELECT count(*) as invoice FROM supplier_payment WHERE status='' ");
$rowInvoiceCount    = mysqli_fetch_array($sql_InvoiceQuery,MYSQLI_ASSOC);
$invoice_count      = $rowInvoiceCount['invoice']+1;
	
	$autoinc=mysqli_query($conn,"ALTER TABLE supplier_payment CHANGE id id INT(11) NOT NULL AUTO_INCREMENT ");

    $sql_header  = "INSERT INTO supplier_payment ( invoice, invoicedate,supplierid,purchaseid,purchase_type,process, amount, pay_type,paymentreference,status, accountyear,isdelete,createdby,userID,createdate) VALUES ('".$invoice_count."', '".$internalprodate."', '".$supplierid."','$edit_id','$payment','External Fill', '".$received_amt."','".$paymenttype."', '".$remarks."' ,'','".$accountyear."', '1','".$createdby."','".$userID."','".$createdate."')";
	mysqli_query($conn,$sql_header);
    
	}
    
    header("Location:exfDieselProDashboard.php");

}
?>
